> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getEmployeeMiscellaneousStateTaxFormFields

> 
The `getEmployeeMiscellaneousStateTaxFormFields ` API retrieves available miscellaneous state tax fields for users based on their state of residence.

### What it does:

- Returns fields that can be used to add state taxes on an employee by employee basis for payroll

### Note:

- Once retrieved these fields should be added to a user's record using `addEmployeeMiscellaneousStateTax`. This will allow them to be added to payroll later.




## OpenAPI

````yaml get /reports/getEmployeeMiscellaneousStateTaxFormFields
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getEmployeeMiscellaneousStateTaxFormFields:
    get:
      tags: []
      summary: getEmployeeMiscellaneousStateTaxFormFields
      description: >

        The `getEmployeeMiscellaneousStateTaxFormFields ` API retrieves
        available miscellaneous state tax fields for users based on their state
        of residence.


        ### What it does:


        - Returns fields that can be used to add state taxes on an employee by
        employee basis for payroll


        ### Note:


        - Once retrieved these fields should be added to a user's record using
        `addEmployeeMiscellaneousStateTax`. This will allow them to be added to
        payroll later.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
              required:
                - method
                - companyId
                - userId
            example:
              method: getEmployeeMiscellaneousStateTaxFormFields
              companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
              userId: B7C80B1C-B58B-4ADD-9193-1BB23674F514
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  EmployeeMiscellaneousStateTaxFormFields:
                    type: object
                    properties:
                      userId:
                        type: string
                      stateCode:
                        type: string
                      MiscellaneousStateTaxFieldList:
                        type: array
                        items:
                          type: string
                      fields:
                        type: object
                        properties:
                          fieldName:
                            type: string
                          fieldDescription:
                            type: string
                          dataType:
                            type: string
                        required:
                          - fieldName
                          - fieldDescription
                          - dataType
                    required:
                      - userId
                      - stateCode
                      - MiscellaneousStateTaxFieldList
                      - fields
                required:
                  - EmployeeMiscellaneousStateTaxFormFields
              examples:
                '1':
                  summary: Example 1
                  value:
                    EmployeeMiscellaneousStateTaxFormFields:
                      - userId: 98CCB6CF-08DD-4C17-A367-B339CD5526CD
                        stateCode: WA
                        MiscellaneousStateTaxFieldList:
                          CompositeRate: ''
                          RiskClassName: ''
                          RiskClassCode: ''
                          PayrollDeductionRate: ''
                        fields:
                          - fieldName: CompositeRate
                            fieldDescription: ''
                            dataType: String
                          - fieldName: RiskClassName
                            fieldDescription: ''
                            dataType: String
                          - fieldName: RiskClassCode
                            fieldDescription: ''
                            dataType: String
                          - fieldName: PayrollDeductionRate
                            fieldDescription: ''
                            dataType: String
                          - fieldName: RiskClassName
                            fieldDescription: ''
                            dataType: String
                '2':
                  summary: Example 1
                  value:
                    error:
                      code: 400
                      message: Company ID is required
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````